#!/usr/bin/perl

use URI;
use Net::LDAP;
use Net::LDAP::Entry;

$uid=$ARGV[0];

#JMD: replace warn not to show confusing error lines!
sub mywarn{
  print "$_[0] $_[1]\n";
}

$base_dn="o=cscolaire";
$bind_pw="cscolaire";
$bind_dn="cn=ldapuser,ou=ldap,ou=srv,o=cscolaire";
$ldap_uri="ldap://ldap.cscolaire.qc.ca";

my $ldapuri = URI->new($ldap_uri) || mywarn "error: could not parse given uri";
$ldap = Net::LDAP->new("ldaps://".$ldapuri->host) ||
      mywarn "could not connect ldap master server";

if ($ldap) {
   $ldap->bind($bind_dn, password=> $bind_pw) || mywarn "could not bind to ldap";
   #Get user attributes
   my $mesg = $ldap->search(base=> $base_dn, scope=> 'sub',
        filter=> "(&(objectclass=posixAccount)(cn=$uid))");
   if ($mesg && $mesg->count < 1) {
       die "User $uid not found!\n";
   }
   $home=$mesg->entry(0)->get_value('ndsHomeDirectory');
   ($tmp1,$tmp2)=split(/\\/,$home);
   print "$tmp2\n";
}

