#!/bin/sh

#This scripts configures printer filters.
#It can use either gtklp, or the new 
#library libhideprinters.so

#Delete and recreate the user's gtklp directory
rm -fr $HOME/.gtklp

#Find the default printer in the configurator
MYXTERM_IP=`echo $DISPLAY | cut -f1 -d":"`
if [ -r /tmp/lts.conf.$MYXTERM_IP ]; then
        eval `grep PRINT /tmp/lts.conf.$MYXTERM_IP`
        #Export de la variable d'environnement PRINTER, puis activation de
        #l'imprimante dans GTKLP
        if [ -n "DEFAULT_PRINTER" ] ; then
                PRINTER="$DEFAULT_PRINTER"
                export PRINTER
		mkdir -p $HOME/.gtklp/accept
                touch $HOME/.gtklp/accept/$PRINTER
        fi
        if [ -n "PRINTER_LIST" ] ; then
		mkdir -p $HOME/.gtklp/accept
		for printer in `echo $PRINTER_LIST|tr /,/ /' '/`; do
                  touch $HOME/.gtklp/accept/$printer
                done
        fi
fi



# Statically define an additional printer for a given network
#MYNETWORK=`echo $IP|cut -f1-3 -d.`
#if [ "x$MYNETWORK" = "x10.132.1" ]; then
#	touch $HOME/.gtklp/accept/VDO_132_ELE_LABO_HP_INKJET_2200
#fi

# Statically add a printer for a user
#if [ $USER = "851f133" ]; then
#	touch $HOME/.gtklp/accept/VDO_132_ELE_LABO_HP_INKJET_2200
#fi

#Activate gtklp Simple Mode
#(special patch by jmdault)
export GTKLP_SIMPLE=1

