#!/bin/bash

myfixapps() {

KDECONF=$HOME/.kde/share/config
mkdir -p $KDECONF

if [ ! -e $KDECONF/kslideshow.kssrc ]; then
cat << EOF > $KDECONF/kslideshow.kssrc
[Settings]
Delay=20
Directory=/etc/custom/screensaver
PrintName=false
RandomPosition=false
ShowRandom=true
SubDirectory=false
ZoomImages=true
EOF
fi

if [ ! -f $KDECONF/klettresrc ]; then
cat << EOF > $KDECONF/klettresrc
[General]
myStyle=kid
              
[mFont]
mFont=Bitstream Vera Sans,48,-1,5,50,0,0,0,0,0
EOF
fi

if [ ! -e $HOME/.xmms ]; then
mkdir -p $HOME/.xmms
cat << EOF > $HOME/.xmms/config
[xmms]
output_plugin=/usr/lib/xmms/Output/libesdout.so
EOF
fi

if [ ! -e $HOME/.RealNetworks_RealMediaSDK_60 ]; then
cat << EOF > $HOME/.RealNetworks_RealMediaSDK_60
SoundDriver=2
EOF

cat << EOF > $HOME/.RealNetworks_RealPlayer_60
ClientLicenseKey=000000000000700031A5000000007FF7FF00
ERegistered=1
LastLocation1=///usr/lib/RealPlayer8//audiosig.rm
LastLocationTitle1=Welcome!
EOF

cat << EOF > $HOME/.RealNetworks_RealShared_00
UserAddress=User@X.Terminal
CountryID=1
RegionData=
NotifyUser=0
EOF
fi

if [ ! -e $HOME/.galculator ]; then
cat << EOF > $HOME/.galculator
[general]
button_width=50
button_height=32
mode=1
EOF
fi

mkdir -p $HOME/.gnome2
if [ ! -e $HOME/.gnome2/totem_config ]; then
cat << EOF > $HOME/.gnome2/totem_config
input.dvd_language:fr
audio.driver:esd
gui.splash:0
gui.play_anyway:1
gui.post_audio_plugin:fftscope
gui.deinterlace_by_default:1
gui.auto_panel_visibility:1
gui.auto_video_output_visibility:1
codec.real_codecs_path:/usr/lib/real
EOF
fi

mkdir -p $HOME/.xine
if [ ! -e $HOME/.xine/config ]; then
cat << EOF > $HOME/.xine/config
input.dvd_language:fr
audio.driver:esd
gui.splash:0
gui.play_anyway:1
gui.post_audio_plugin:fftscope
gui.deinterlace_by_default:1
gui.auto_panel_visibility:1
gui.auto_video_output_visibility:1
codec.real_codecs_path:/usr/lib/real
EOF
fi

mkdir -p $HOME/.gconf/apps/totem
if [ ! -e $HOME/.gconf/apps/totem/%gconf.xml ]; then
cat << EOF > $HOME/.gconf/apps/totem/%gconf.xml
<?xml version="1.0"?>
<gconf>
        <entry name="visual" mtime="1148423408" type="string"><stringvalue>fftscope</stringvalue>
        </entry>
        <entry name="auto_resize" mtime="1083253768" muser="$USER" type="bool" value="true"/>
        </entry> 
</gconf>
EOF
touch $HOME/.gconf/apps/%gconf.xml
fi

mkdir -p $HOME/.adobe/Acrobat/7.0/Preferences
if [ ! -e $HOME/.adobe/Acrobat/7.0/Preferences/reader_prefs ]; then
cat << EOF > $HOME/.adobe/Acrobat/7.0/Preferences/reader_prefs
<</AVConversionToPDF [/c <<	/Settings [/c <<>>]
>>]
/AVGeneral [/c <<	/InDocTabs [/s (*Bookmarks,Signatures,OptCont,Thumbnails,Attachments,AnnotManager)]
	/Palettes [/c <<		/0 [/c <<			/Bottom [/i 290]
			/Left [/i 614]
			/Minimized [/b false]
			/Right [/i 994]
			/Tabs [/s (*Articles)]
			/Top [/i 120]
			/Visible [/b false]
>>]
>>]
	/Toolbars [/c <<		/BasicTools [/c <<>>]
		/Data [/c <<>>]
		/File [/c <<>>]
		/FileAttachmentFlyout [/c <<>>]
		/Find [/c <<>>]
		/HelpToolbar [/c <<>>]
		/HistoryMini [/c <<>>]
		/HowTo [/c <<>>]
		/LayoutMini [/c <<>>]
		/NavMini [/c <<>>]
		/Navigation [/c <<>>]
		/Properties [/c <<>>]
		/Rotate [/c <<>>]
		/Tasks [/c <<>>]
		/ToolsFlyout [/c <<>>]
		/UndoRedo [/c <<>>]
		/ViewModeMini [/c <<>>]
		/Viewing [/c <<>>]
		/WebSearchView [/c <<>>]
		/ZoomMini [/c <<>>]
		/ZoomToolFlyout [/c <<>>]
>>]
>>]
/AVPrivate [/c <<	/ChooseLangAtStartup [/b false]
	/EULAAcceptanceTime [/i 1148426344]
	/SplashDisplayedAtStartup [/b true]
	/UnixLanguageStartup [/i 4608577]
	/showEULA [/b false]
>>]
/AdsInReader [/c <<	/AdsLastUpdate [/s (20060523231900Z)]
>>]
/FindSearch [/c <<	/AT [/b false]
	/BM [/b false]
	/CO [/b false]
	/CS [/b false]
	/HW [/b false]
	/LASTLOCALE [/t (FRA)]
	/PR [/b false]
	/RESET [/i 1]
	/ST [/b false]
>>]
/Originals [/c <<	/ProofingSpace [/s (U.S. Web Coated \(SWOP\) v2)]
>>]
/Private [/c <<>>]
/unixAppSizePreferences [/c <<	/unixAppOpenMaximizedPreference [/b true]
>>]
>>
EOF
fi

if [ ! -e $HOME/.bluefish ]; then 
mkdir -p $HOME/.bluefish
cat << EOF > $HOME/.bluefish/session
quickbar_items: quicklist...
quickbar_items: tablewizard...
quickbar_items: image...
quickbar_items: rightjustify
quickbar_items: center
quickbar_items: breakclear
quickbar_items: break
quickbar_items: paragraph
quickbar_items: italic
quickbar_items: bold
EOF

cat << EOF > $HOME/.bluefish/rcfile_v2
browsers: Firefox:mozffremote %s&:
EOF
fi

#TODO: Quanta is broken...
#Modify /usr/share/apps/quanta/actions.rc to have firefox


if [ ! -e $HOME/.mplayer ]; then
mkdir -p $HOME/.mplayer
cat << EOF > $HOME/.mplayer/config
ao=esd
EOF

cat << EOF > $HOME/.mplayer/mplayerplug-in.conf
ao=esd
EOF
fi


if [ ! -e $HOME/.gimp-2.2 ]; then
mkdir -p $HOME/.gimp-2.2
cat << EOF > $HOME/.gimp-2.2/gimprc
(show-tips no)
EOF
fi

if [ ! -e $HOME/.kde/share/config/khangmanrc ]; then
mkdir -p $HOME/.kde/share/config/
cat << EOF > $HOME/.kde/share/config/khangmanrc
[General]
LevelFile=animals.kvtml
ShowCharToolbar=true

[Language]
LanguageCombobox=1
SelectedLanguage=fr

[normal]
Mode=nature
Sound=true
EOF
fi

if [ ! -e $HOME/.kde/share/config/kturtlerc ]; then
mkdir -p $HOME/.kde/share/config/
cat << EOF > $HOME/.kde/share/config/kturtlerc
[language]
LanguageComboBox=1
LogoLanguage=fr_FR
EOF
fi

if [ ! -e $HOME/.kde/share/config/ktuberlingrc ]; then
mkdir -p $HOME/.kde/share/config/
cat << EOF > $HOME/.kde/share/config/ktuberlingrc
[General]
GameboardNumber=0
LanguageNumber=5
Sound=on
EOF
fi

if [ ! -e $HOME/.gqview/gqviewrc ]; then
mkdir -p $HOME/.gqview
cat << EOF > $HOME/.gqview/gqviewrc
zoom_mode: fit
EOF
fi
  
}


(echo 10; myfixapps; echo "100") \
  | zenity --progress --pulsate --auto-close \
  --progress-text "Configuration des applications" \
  --title "Veuillez patienter..." --width 320
                                  